PHP 다운로드

. PHP 5.4 시리즈는 윈도우즈 XP와 윈도 즈 2003을 지지 하기에 마지막 버전 일 것 이다. 우리는 PHP 5.4 후 더 이상 이러한 Windows 버전에 대 한 바이너리 패키지를 제공 하지 않습니다. 당신이 apache.org (권장 하지 않음)에서 아파치 빌드와 모듈로 php를 사용 하는 경우 레거시 비주얼 스튜디오 6 컴파일러로 컴파일된 php의 이전 VC6 버전을 사용 해야 합니다. apache.org 바이너리와 함께 VC11 + 버전의 PHP를 사용 하지 마십시오. 하나는 PHP의 가장 큰 미 덕의 다른 프로그래밍 언어와의 호환성, 그리고 실제로, 심지어 개념 이다. 당신이 언어에 무언가를 하 고 싶은 경우에, 당신은 아마 그것을 할 수 있다. 어떤 웹사이트 아이디어, 또는 다른 어떤 프로그램 언어 든 지에 있는 소프트웨어의 다른 어떤 조각과 당신의 웹사이트 일을 만들기: PHP는 아마 그것을 할 수 있다. 그것은 기본적으로 할 수 없다면, 누군가가 밖으로 아마 당신이 원하는 것을 만드는 방법에 대 한 도움말이 있습니다. 그러나이 호환성이 언어를 의미 하 고 때로는 천천히 큽니다 … 이 사이트는 마이크로 소프트 윈도우에서 PHP를 지원 하기 위해 최선을 다하고 있습니다. 또한 다양 한 Windows 아키텍처에 대 한 특수 빌드를 제공 하는 것 뿐만 아니라 PHP 확장 또는 기능의 포트도 지원 합니다. Windows 용 PHP 5의 x64 빌드는 실험적 이며 64 비트 정수 또는 큰 파일 지원을 제공 하지 않습니다.

WinXP 사용자는 연결 문제가 발생할 수 있습니다. 그것은 WinXP 으로부터 좀 더 최근 운영 체제 버전에 (게) 멀리 전환 하기에 높은 시간 이다. . 이 릴리스에서는 포함 된 OpenSSL 라이브러리 (cve-2009-0590, cve-2009-0591 및 cve-2009-0789)의 보안 취약성 해결에 중점을 둡니다. 여기에서 보안 권고를 사용할 수 있습니다. 아파치 라운지에서 제공 하는 아파치 빌드를 이용해 주십시오. 그들은 x 86와 x 64를 위한 아파치의 VC11, VC14 및 VC15 구조를 제공 한다. 우리는 그들의 바이너리를 사용 하 여 아파치 sapis를 빌드합니다. libcurl 라이브러리는 7.20.0, 수정 뿐만 아니라 보안 결함으로 중요 한 버그 수정 프로그램을 업데이 트 되었습니다 여기에 전체 changelog에 권고를 참조 하십시오.

PHP는 윈도우 개발 팀이 새로운 웹사이트를 발표 하 고 싶습니다. 여기서는 다운로드, 스냅샷 및 설명서와 같이 Windows와 관련 된 정보를 구체적으로 찾을 수 있습니다. 다운로드만 지금 사용할 수 있습니다. 우리가 이러한 새로운 풍미를 테스트 하는 데 도움이, 어떤 피드백 감사!. 이것은 실제로 MSI 파일을 포함 하지 않기 때문에 무용 하다. 이름이 잘못 되었습니다. 난 당신이 그걸로 뭘 해야하는 지 모르겠어요. 그리고 속아의 많은 리뷰는 여기에! 잔뜩 만든 리뷰어의 헛소리를 많이 parroting. 그것은 오해의 소지가 쓸모로 서 sourcemoge이 페이지를 제거 해야 합니다.

컬 관련 기능은 open_basedir 또는 safe_mode 활성화 될 때 비활성화 된다는 점에 유의 하십시오. PHP 7.1 + 긴 UTF-8 경로를 지원 합니다. 자세한 내용은 설명서를 참조 하십시오. php 개발팀은 php 5.5.0의 즉각적인 가용성을 발표 하 게 되어 자랑 스럽게 생각 합니다. 이 릴리스에는 새로운 기능과 버그 수정 많은 수가 포함 되어 있습니다. PHP 5.4에서 업그레이드 하는 사용자의 경우 5.4과 5.5.0 간의 변화를 자세히 설명 하기 위해 마이그레이션 가이드를 사용할 수 있습니다. Windows 용 pecl 확장이 작업 중입니다. Windows DLL은 pecl 웹 사이트에서 바로 다운로드할 수 있습니다. pecl 확장 릴리스 및 스냅샷 빌드 디렉터리를 찾아볼 직접 있습니다. OpenSSL 보안 권고 [07 Apr 2014]는 cve-2014-0160를 수정 하는 OpenSSL 1.0.1 g의 가용성을 발표 했다. 이런 맥락에서 최신 PHP 릴리즈 5.5.11는 OpenSSL 1.0.1 g로 재건 되었다.

모든 php 사용자는 강력 하 게 php 5.5.11에 격상 시키는 격려 된다. 당신은 이미이 버전을 다운로드 한 경우 10-Apr-2014, 제발 redownload.